org.jacoco.core.internal.analysis

## Class PackageCoverageImpl

- java.lang.Object
- - org.jacoco.core.analysis.CoverageNodeImpl
  - - org.jacoco.core.internal.analysis.PackageCoverageImpl

All Implemented Interfaces:
  ICoverageNode, IPackageCoverage

    public class PackageCoverageImpl
    extends CoverageNodeImpl
    implements IPackageCoverage

Implementation of `IPackageCoverage`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Field Summary

### Fields inherited from class org.jacoco.core.analysis.CoverageNodeImpl

`branchCounter, classCounter, complexityCounter, instructionCounter, lineCounter, methodCounter`

### Constructor Summary

Constructors
Constructor and Description
`PackageCoverageImpl(String name, Collection<IClassCoverage> classes, Collection<ISourceFileCoverage> sourceFiles)` Creates package node instance for a package with the given name.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<IClassCoverage>` `getClasses()` Returns all classes contained in this package.
`Collection<ISourceFileCoverage>` `getSourceFiles()` Returns all source files in this package.

### Methods inherited from class org.jacoco.core.analysis.CoverageNodeImpl

`getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy, increment, increment, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Constructor Detail

#### PackageCoverageImpl

    public PackageCoverageImpl(String name,
                               Collection<IClassCoverage> classes,
                               Collection<ISourceFileCoverage> sourceFiles)

Creates package node instance for a package with the given name.

Parameters:
  `name` - vm name of the package
  `classes` - collection of all classes in this package
  `sourceFiles` - collection of all source files in this package

### Method Detail

#### getClasses

    public Collection<IClassCoverage> getClasses()

Description copied from interface: `IPackageCoverage`
Returns all classes contained in this package.

Specified by:
  `getClasses` in interface `IPackageCoverage`
Returns:
  all classes

#### getSourceFiles

    public Collection<ISourceFileCoverage> getSourceFiles()

Description copied from interface: `IPackageCoverage`
Returns all source files in this package.

Specified by:
  `getSourceFiles` in interface `IPackageCoverage`
Returns:
  all source files